package com.ghy.worker.service;

import com.ghy.worker.domain.WorkerSpecialSkill;

import java.util.List;

/**
 * 师傅特殊技能Service
 *
 * @author HH 2022/6/7
 */
public interface WorkerSpecialSkillService {

    int insert(WorkerSpecialSkill workerArea);

    int delete(Long[] ids);

    int deleteByWorker(Long workerId);

    List<WorkerSpecialSkill> getByWorker(Long workerId);

    void updateWorkerSpecialSkill(Long workerId, List<WorkerSpecialSkill> skills);
}
